#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define old_libkexiv2 %mklibname kexiv2_ 9

%define subrel 1
%define rel 1

Name: libkexiv2
Summary: Wrapper around exiv2 library
Version: 4.10.5
Release: %mkrel %{rel}
Epoch: 2
Group: System/Libraries
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdegraphics/libs/libkexiv2
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: pkgconfig(exiv2)
Conflicts: %{old_libkexiv2} < 2:4.6.90
# Branch Patch (100-200)

%description
Libkexiv2 is a wrapper around Exiv2 library to manipulate pictures
metadata as EXIF/IPTC and XMP.

%files
%doc AUTHORS NEWS README TODO
%{_kde_appsdir}/libkexiv2/data/topicset.iptc-subjectcode.xml

#------------------------------------------------------------------------------
%define kexiv2_major 11
%define libkexiv2 %mklibname kexiv2_ %kexiv2_major

%package -n %{libkexiv2}
Summary: %{name} library
Group: System/Libraries
Requires: %{name} = %epoch:%version-%release

%description -n %{libkexiv2}
Libkexiv2 is a wrapper around Exiv2 library to manipulate pictures
metadata as EXIF/IPTC and XMP.

%files -n %{libkexiv2}
%{_kde_libdir}/libkexiv2.so.%{kexiv2_major}*

#------------------------------------------------------------------------------
%define libkexiv2_devel %mklibname kexiv2 -d

%package -n %{libkexiv2_devel}
Summary: Devel stuff for %name
Group: Development/KDE and Qt
Requires: %libkexiv2 = %epoch:%version-%release
Conflicts: kdegraphics4-devel < 2:4.6.10
Conflicts: libkexiv2-devel < 2:4.9.2-2
Obsoletes: libkexiv2-devel < 2:4.9.2-2

%description -n %{libkexiv2_devel}
Libkexiv2 is a wrapper around Exiv2 library to manipulate pictures
metadata as EXIF/IPTC and XMP.

This package contains header files needed if you wish to build applications
based on libkexiv2.

%files -n %{libkexiv2_devel}
%{_kde_includedir}/libkexiv2
%{_kde_libdir}/pkgconfig/libkexiv2.pc
%{_kde_libdir}/libkexiv2.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog
* Sat Jul 06 2013 mikala <mikala> 2:4.10.5-1.1.mga3
+ Revision: 450582
- Update tarball to KDE SC 4.10.5
- Update tarball to KDE SC 4.10.4

* Tue Apr 02 2013 mikala <mikala> 2:4.10.2-1.mga3
+ Revision: 407135
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 2:4.10.1-1.mga3
+ Revision: 401937
- Update tarball to KDE SC 4.10.1

* Fri Feb 08 2013 fwang <fwang> 2:4.10.0-2.mga3
+ Revision: 395346
- add requires on main package, as it contains data files needed at runtime

* Mon Feb 04 2013 mikala <mikala> 2:4.10.0-1.mga3
+ Revision: 394320
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 2:4.9.97-2.mga3
+ Revision: 357595
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 2:4.9.97-1.mga3
+ Revision: 339288
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 2:4.9.95-1.mga3
+ Revision: 334470
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Tue Dec 04 2012 mikala <mikala> 2:4.9.90-1.mga3
+ Revision: 326612
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 2:4.9.80-1.mga3
+ Revision: 320158
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 2:4.9.3-1.mga3
+ Revision: 316111
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 2:4.9.2-1.mga3
+ Revision: 301895
- Update tarball to KDE SC 4.9.2

* Sat Sep 08 2012 mikala <mikala> 2:4.9.1-1.mga3
+ Revision: 289640
- Update tarball to KDE SC 4.9.1

* Tue Jul 31 2012 mikala <mikala> 2:4.9.0-1.mga3
+ Revision: 276620
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 2:4.8.97-1.mga3
+ Revision: 269713
- new version 4.8.97

* Sat Jun 30 2012 fwang <fwang> 2:4.8.95-1.mga3
+ Revision: 265287
- bump libmajor
- new version 4.8.95

* Mon Jun 18 2012 fwang <fwang> 2:4.8.4-2.mga3
+ Revision: 261604
- rebuild for new exiv2

* Fri Jun 08 2012 fwang <fwang> 2:4.8.4-1.mga3
+ Revision: 257181
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228479
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221508
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198110
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 190860
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 185797
- Update tarball to KDE SC 4.7.95

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 182174
- Update tarball to KDE SC 4.7.90
- Remove redundant requires on -devel package
- use gold for linker
- build with -DKDE4_ENABLE_FINAL=ON

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176518
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161464
- Update tarball to KDE SC 4.7.3

* Sun Oct 09 2011 fwang <fwang> 2:4.7.2-2.mga2
+ Revision: 153438
- rebuild for new exiv2

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151980
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140671
- Update tarball to KDE SC 4.7.1
- Remove %%defattr()
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- use pkgconfig() for buildrequires

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-0.mga2
+ Revision: 122308
- Update tarball to KDE 4.6.95 ( KDE SC 4.7 RC2)

* Wed Jun 29 2011 mikala <mikala> 2:4.6.90-1.mga2
+ Revision: 115906
- imported package libkexiv2

  + fwang <fwang>
    - move lib conflicts in to main package, it is the correct place for it
    - add conflits on older kdegraphic4-devel for upgrading

